1

Topic: Upgrade problem 1.30 to 1.62

==== Provide basic information to help troubleshoot ====
- iRedMail version: iRedAdmin-Pro 1.3 to iRedAdmin-Pro-LDAP-1.62
- Linux/BSD distribution name and version: Ubuntu 10.04 LTS
- Any related log? Log is helpful for troubleshooting.

I followed the upgrade instructions at http://iredmail.org/wiki/index.php?titl … .3.0-1.4.0

but get the following error when trying to login to iredadmin:

"The server encountered an internal error or misconfiguration and was unable to complete your request...."

The permissions for iredadmin.py are: -rwxr-xr-x

Apache2 error.log:

[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92] mod_wsgi (pid=5478): Target WSGI script '/usr/share/apache2/iredadmin/iredadmin.py' cannot be loaded as Python module.
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92] mod_wsgi (pid=5478): Exception occurred processing WSGI script '/usr/share/apache2/iredadmin/iredadmin.py'.
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92] Traceback (most recent call last):
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92]   File "/usr/share/apache2/iredadmin/iredadmin.py", line 8, in <module>
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92]     from libs import iredbase
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92]   File "/usr/share/apache2/iredadmin/libs/iredbase.py", line 34, in <module>
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92]     webmaster = cfg.general.get('webmaster', 'root')
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92]   File "/usr/local/lib/python2.6/dist-packages/web.py-0.34-py2.6.egg/web/utils.py", line 71, in __getattr__
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92]     raise AttributeError, k
[Thu Sep 15 10:42:01 2011] [error] [client 41.192.155.92] AttributeError: 'general'



[Thu Sep 15 10:42:31 2011] [error] Exception KeyError: KeyError(-1220257136,) in <module 'threading' from '/usr/lib/python2.6/threading.pyc'> ignored

====

2

Re: Upgrade problem 1.30 to 1.62

Hi,

I checked the upgrade instructions for 1.5 to 1.6x and modified the permissions slightly.

Now I'm getting "internal server error" and the log file tells me:

OperationalError: (1045, "Access denied for user 'iredadmin'@'localhost' (using password: YES)")

I tested that the password is correct by logging into mysql on the command line.

3

Re: Upgrade problem 1.30 to 1.62

Nevermind.

Sorted. It was the encrypted password which I had changed to plain text (as the comment/instruction says so). I changed it back to the encrypted password, and now it is working.

I realize I should have upgraded along the way; but the permissions in the upgrade instructions for 1.30 - 1.40 need to be revised.

4

Re: Upgrade problem 1.30 to 1.62

Fixed moment ago: File permission of iRedAdmin-Pro is 0555 (chmod -R) settings.ini is 0400, owner is "iredadmin:iredadmin".

Thanks for your feedback. smile